Page MenuHomePhabricator

Build containers for statsd, prometheus-statsd-exporter
Closed, ResolvedPublic

Description

For statsd:

  • I would use stretch
  • We currently use https://github.com/hit9/statsd-proxy which has the big advantage of not requiring node
  • We could just provide a 1:1 configuration to relay consistently to one upstream proxy
  • We already have a deb package for this software, so the Dockerfile would be incredibly simple

For prometheus-statsd-exporter:

  • It is a go software, so we might want to have a build container and copy the result to the final comtainer
  • Upstream provides a Dockerfile we could use as a base https://github.com/prometheus/statsd_exporter/blob/master/Dockerfile
  • It would be a good idea to check how hard is to build a stretch-only proper deb package. This is my preferred option.

Event Timeline

Joe created this task.Sep 11 2017, 10:47 AM

Mentioned in SAL (#wikimedia-operations) [2017-09-27T15:28:08Z] <_joe_> uploaded prometheus-statsd-exporter to stretch-wikimedia T175539

Change 381401 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/docker-images/production-images@master] Add prometheus-statsd-exporter image

https://gerrit.wikimedia.org/r/381401

Change 381401 merged by Giuseppe Lavagetto:
[operations/docker-images/production-images@master] Add prometheus-statsd-exporter image

https://gerrit.wikimedia.org/r/381401

Joe added a comment.Sep 29 2017, 8:27 AM

I built a container for prometheus-statsd-exporter from a debian package I created, if we decide to proxy data to statsd we can just add a rework of @fgiunchedi's patch.

Joe closed this task as Resolved.Sep 29 2017, 10:33 AM